weka.gui.simplecli

## Class Capabilities

- java.lang.Object
- - weka.gui.simplecli.AbstractCommand
  - - weka.gui.simplecli.Capabilities

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AbstractCommand>

      public class Capabilities
      extends AbstractCommand

  Outputs the capabilities of the specified class.
  Author:
    FracPete (fracpete at waikato dot ac dot nz)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Capabilities()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getHelp()` Returns the help string (no indentation).
    `java.lang.String` | `getName()` Returns the name of the command.
    `java.lang.String` | `getParameterHelp()` Returns the one-liner help string for the parameters.

    - ### Methods inherited from class weka.gui.simplecli.AbstractCommand

      `compareTo, equals, execute, getCommand, getCommands, getOwner, setOwner`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Capabilities

          public Capabilities()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns the name of the command.
      Specified by:
        `getName` in class `AbstractCommand`
      Returns:
        the name

    - #### getHelp

          public java.lang.String getHelp()

      Returns the help string (no indentation).
      Specified by:
        `getHelp` in class `AbstractCommand`
      Returns:
        the help

    - #### getParameterHelp

          public java.lang.String getParameterHelp()

      Returns the one-liner help string for the parameters.
      Specified by:
        `getParameterHelp` in class `AbstractCommand`
      Returns:
        the help, empty if none available